Summary:        Free MP3 audio compressor
Name:           lame
Version:        3.100
Release:        7%{?dist}
License:        GPLv2+
URL:            http://lame.sourceforge.net/
Source0:        https://downloads.sourceforge.net/sourceforge/lame/%{name}-%{version}.tar.gz

Patch3000:      %{name}-noexecstack.patch
Patch3001:      libmp3lame-symbols.patch
Patch3002:      0001-Fix-configure.patch

BuildRequires:  gcc make ncurses-devel

Requires:       %{name}-libs = %{version}-%{release}

%description
LAME is an open source MP3 encoder whose quality and speed matches commercial encoders.
LAME handles MPEG-1, 2 and 2.5 layer III encoding with both constant and variable bitrates.

%package        libs
Summary:        LAME MP3 encoding library

%description    libs
LAME MP3 encoding library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
This package development files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
sed -i -e 's/^\(\s*hardcode_libdir_flag_spec\s*=\).*/\1/' configure
%configure \
  --disable-dependency-tracking \
  --disable-static \
  --enable-mp3rtp

%make_build


%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la
ln -sf lame/lame.h %{buildroot}%{_includedir}/lame.h
rm -rf %{buildroot}%{_docdir}/%{name}

%check
%make_build test

%files
%doc README TODO USAGE
%{_bindir}/lame
%{_bindir}/mp3rtp
%{_mandir}/man1/lame.1*

%files libs
%license COPYING LICENSE
%doc ChangeLog
%{_libdir}/libmp3lame.so.0*

%files devel
%doc API HACKING STYLEGUIDE
%{_libdir}/libmp3lame.so
%{_includedir}/lame
%{_includedir}/lame.h

%changelog
* Mon Nov 25 2024 Xionghu Luo <xionghuluo@tencent.com> - 3.100-7
- Fix configure

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.100-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.100-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.100-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.100-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.100-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 9 2022 Shuo Wang <abushwang@tencent.com> - 3.100-1
- initial build

